org.wildfly.swarm.config

## Class EJB3.EJB3Resources

- java.lang.Object
- - org.wildfly.swarm.config.EJB3.EJB3Resources

- Enclosing class:
    EJB3<T extends EJB3<T>>

      public static class EJB3.EJB3Resources
      extends Object

  Child mutators for EJB3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EJB3Resources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationSecurityDomain` | `applicationSecurityDomain(String key)`
    `List<ApplicationSecurityDomain>` | `applicationSecurityDomains()` Get the list of ApplicationSecurityDomain resources
    `AsyncService` | `asyncService()` The EJB3 Asynchronous Invocation Service
    `Cache` | `cache(String key)`
    `List<Cache>` | `caches()` Get the list of Cache resources
    `ClusterPassivationStore` | `clusterPassivationStore(String key)`
    `List<ClusterPassivationStore>` | `clusterPassivationStores()` Get the list of ClusterPassivationStore resources
    `FilePassivationStore` | `filePassivationStore(String key)`
    `List<FilePassivationStore>` | `filePassivationStores()` Get the list of FilePassivationStore resources
    `IdentityService` | `identityService()` Identity definition for security identity propagation
    `IIOPService` | `iiopService()` The IIOP service
    `MDBDeliveryGroup` | `mdbDeliveryGroup(String key)`
    `List<MDBDeliveryGroup>` | `mdbDeliveryGroups()` Get the list of MDBDeliveryGroup resources
    `PassivationStore` | `passivationStore(String key)`
    `List<PassivationStore>` | `passivationStores()` Get the list of PassivationStore resources
    `RemoteService` | `remoteService()` The EJB3 Remote Service
    `RemotingProfile` | `remotingProfile(String key)`
    `List<RemotingProfile>` | `remotingProfiles()` Get the list of RemotingProfile resources
    `StrictMaxBeanInstancePool` | `strictMaxBeanInstancePool(String key)`
    `List<StrictMaxBeanInstancePool>` | `strictMaxBeanInstancePools()` Get the list of StrictMaxBeanInstancePool resources
    `ThreadPool` | `threadPool(String key)`
    `List<ThreadPool>` | `threadPools()` Get the list of ThreadPool resources
    `TimerService` | `timerService()` The EJB timer service

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EJB3Resources

          public EJB3Resources()

  - ### Method Detail

    - #### applicationSecurityDomains

          public List<ApplicationSecurityDomain> applicationSecurityDomains()

      Get the list of ApplicationSecurityDomain resources
      Returns:
        the list of resources

    - #### applicationSecurityDomain

          public ApplicationSecurityDomain applicationSecurityDomain(String key)

    - #### strictMaxBeanInstancePools

          public List<StrictMaxBeanInstancePool> strictMaxBeanInstancePools()

      Get the list of StrictMaxBeanInstancePool resources
      Returns:
        the list of resources

    - #### strictMaxBeanInstancePool

          public StrictMaxBeanInstancePool strictMaxBeanInstancePool(String key)

    - #### caches

          public List<Cache> caches()

      Get the list of Cache resources
      Returns:
        the list of resources

    - #### cache

          public Cache cache(String key)

    - #### remotingProfiles

          public List<RemotingProfile> remotingProfiles()

      Get the list of RemotingProfile resources
      Returns:
        the list of resources

    - #### remotingProfile

          public RemotingProfile remotingProfile(String key)

    - #### clusterPassivationStores

          public List<ClusterPassivationStore> clusterPassivationStores()

      Get the list of ClusterPassivationStore resources
      Returns:
        the list of resources

    - #### clusterPassivationStore

          public ClusterPassivationStore clusterPassivationStore(String key)

    - #### passivationStores

          public List<PassivationStore> passivationStores()

      Get the list of PassivationStore resources
      Returns:
        the list of resources

    - #### passivationStore

          public PassivationStore passivationStore(String key)

    - #### mdbDeliveryGroups

          public List<MDBDeliveryGroup> mdbDeliveryGroups()

      Get the list of MDBDeliveryGroup resources
      Returns:
        the list of resources

    - #### mdbDeliveryGroup

          public MDBDeliveryGroup mdbDeliveryGroup(String key)

    - #### threadPools

          public List<ThreadPool> threadPools()

      Get the list of ThreadPool resources
      Returns:
        the list of resources

    - #### threadPool

          public ThreadPool threadPool(String key)

    - #### filePassivationStores

          public List<FilePassivationStore> filePassivationStores()

      Get the list of FilePassivationStore resources
      Returns:
        the list of resources

    - #### filePassivationStore

          public FilePassivationStore filePassivationStore(String key)

    - #### timerService

          public TimerService timerService()

      The EJB timer service

    - #### remoteService

          public RemoteService remoteService()

      The EJB3 Remote Service

    - #### asyncService

          public AsyncService asyncService()

      The EJB3 Asynchronous Invocation Service

    - #### identityService

          public IdentityService identityService()

      Identity definition for security identity propagation

    - #### iiopService

          public IIOPService iiopService()

      The IIOP service

Copyright © 2018 JBoss by Red Hat. All rights reserved.